Debian Bug report logs - #100000
xlibs: [xkb] Another alt keys not -> meta keysyms report

Package: xlibs; Maintainer for xlibs is (unknown);

Reported by: Julian Gilbey <jdg@debian.org>

Date: Thu, 7 Jun 2001 23:09:22 UTC

Severity: normal

Tags: upstream

Merged with 77039, 95268, 96562

Done: Branden Robinson <branden@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, cpbotha@debian.org (Charl P. Botha):
Bug#100000; Package jed. Full text and rfc822 format available.

Acknowledgement sent to dbarclay10@yahoo.ca:
New Bug report received and forwarded. Copy sent to cpbotha@debian.org (Charl P. Botha). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dbarclay10@yahoo.ca
To: submit@bugs.debian.org
Subject: jed: In an Xterm, running Screen, jed's Alt+<foobar> keycombos do not work. Feel free to reassign.
Date: Thu, 07 Jun 2001 18:44:32 -0500
Package: jed
Version: 0.99.14-1
Severity: normal

It seems that within an Xterm, within Screen, Jed doesn't seem to pick up
Alt(or Mod1, or whatever ;). I can't figure out if this is an xterm issue
or a Jed issue, sorry :(

For what it's worth, most other things work fine.

-- System Information
Debian Release: testing/unstable
Kernel Version: Linux david 2.4.5-xfs-b2 #1 Sat Jun 2 23:39:53 EST 2001 i686 unknown

Versions of the packages jed depends on:
ii  jed-common     0.99.14-1      Byte compiled SLang runtime files for jed an
ii  libc6          2.2.3-5        GNU C Library: Shared libraries and Timezone
ii  libgpmg1       1.19.3-7       General Purpose Mouse Library [libc6]
ii  slang1         1.4.4-3        The S-Lang programming library - runtime ver



Information forwarded to debian-bugs-dist@lists.debian.org, cpbotha@debian.org (Charl P. Botha):
Bug#100000; Package jed. Full text and rfc822 format available.

Acknowledgement sent to "Charl P. Botha" <c.p.botha@its.tudelft.nl>:
Extra info received and forwarded to list. Copy sent to cpbotha@debian.org (Charl P. Botha). Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: "Charl P. Botha" <c.p.botha@its.tudelft.nl>
To: dbarclay10@yahoo.ca, 100000@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#100000: jed: In an Xterm, running Screen, jed's Alt+<foobar> keycombos do not work. Feel free to reassign.
Date: Fri, 8 Jun 2001 09:52:12 +0200
On Thu, Jun 07, 2001 at 06:44:32PM -0500, dbarclay10@yahoo.ca wrote:
> It seems that within an Xterm, within Screen, Jed doesn't seem to pick up
> Alt(or Mod1, or whatever ;). I can't figure out if this is an xterm issue
> or a Jed issue, sorry :(

Hmm, let me put my ULTIMATE DEBIAN MAINTAINER COGNITIVE SKILLS TO THE TEST. :)

1. I can duplicate this on my testing system (_without_ screen!), xterm
   4.0.3-3 (this is testing).
2. So, I start up an rxvt (or a konsole, or whatever).
3. I start up JED: my Alt does what it's supposed to do (e.g. Alt-f and
   Alt-b move forwards and backwards by words)
4. To be sure, I try emacs -nw in an xterm and alternative terminals as well,
   same results: in an xterm, the Alt-modifier does NOT work, in everything
   else it does.
   
Conclusion:

xterm is eating my Alt-Modifiers.  xterm is evil.  I will probably reassign
this bug. :)

-- 
charl p. botha      | computer graphics and cad/cam 
http://cpbotha.net/ | http://www.cg.its.tudelft.nl/



Information forwarded to debian-bugs-dist@lists.debian.org, cpbotha@debian.org (Charl P. Botha):
Bug#100000; Package jed. Full text and rfc822 format available.

Acknowledgement sent to David B. Harris <dbarclay10@yahoo.ca>:
Extra info received and forwarded to list. Copy sent to cpbotha@debian.org (Charl P. Botha). Full text and rfc822 format available.

Message #15 received at submit@bugs.debian.org (full text, mbox):

From: David B. Harris <dbarclay10@yahoo.ca>
To: "Charl P. Botha" <c.p.botha@its.tudelft.nl>
Cc: 100000@bugs.debian.org, submit@bugs.debian.org
Subject: Re: Bug#100000: jed: In an Xterm, running Screen, jed's Alt+<foobar> keycombos do not work. Feel free to reassign.
Date: Fri, 8 Jun 2001 03:57:12 -0500
[Message part 1 (text/plain, inline)]
To quote "Charl P. Botha" <c.p.botha@its.tudelft.nl>,
> On Thu, Jun 07, 2001 at 06:44:32PM -0500, dbarclay10@yahoo.ca wrote:
> > It seems that within an Xterm, within Screen, Jed doesn't seem to
pick up
> > Alt(or Mod1, or whatever ;). I can't figure out if this is an xterm
issue
> > or a Jed issue, sorry :(
> 
> Hmm, let me put my ULTIMATE DEBIAN MAINTAINER COGNITIVE SKILLS TO THE
TEST. :)
> 
> 1. I can duplicate this on my testing system (_without_ screen!),
xterm
>    4.0.3-3 (this is testing).
> 2. So, I start up an rxvt (or a konsole, or whatever).
> 3. I start up JED: my Alt does what it's supposed to do (e.g. Alt-f
and
>    Alt-b move forwards and backwards by words)
> 4. To be sure, I try emacs -nw in an xterm and alternative terminals
as well,
>    same results: in an xterm, the Alt-modifier does NOT work, in
everything
>    else it does.
>    
> Conclusion:
> 
> xterm is eating my Alt-Modifiers.  xterm is evil.  I will probably
reassign
> this bug. :)

Indeed, I'll confirm that as well, OH GREAT DEBIAN MAINTAINER WITH
COGNITIVE SKILLS :) I just reinstalled this system(*poof*ed my root
partition), and apparently I didn't have the ... err ... "breadth" of
apps that I had had before the mistake.

I just installed Emacs 21.0.103, and 'emacs -nw' also does not
co-operate. Anyhoo. If you reassign this, I'll still be kept in the
email loop, right? (If not, no worry. I can track in manually when
master is back up).

David Barclay Harris, Clan Barclay
           Don't panic.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, cpbotha@debian.org (Charl P. Botha):
Bug#100000; Package jed. Full text and rfc822 format available.

Acknowledgement sent to "Charl P. Botha" <c.p.botha@its.tudelft.nl>:
Extra info received and forwarded to list. Copy sent to cpbotha@debian.org (Charl P. Botha). Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, cpbotha@debian.org (Charl P. Botha):
Bug#100000; Package jed. Full text and rfc822 format available.

Acknowledgement sent to David B. Harris <dbarclay10@yahoo.ca>:
Extra info received and forwarded to list. Copy sent to cpbotha@debian.org (Charl P. Botha). Full text and rfc822 format available.

Bug reassigned from package `jed' to `xterm'. Request was from "Charl P. Botha" <c.p.botha@its.tudelft.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `xterm' to `xlibs'. Request was from Julian Gilbey <J.D.Gilbey@qmw.ac.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 77039 95268 96562 100000. Request was from Julian Gilbey <J.D.Gilbey@qmw.ac.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Julian Gilbey <J.D.Gilbey@qmw.ac.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#100000; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Rebeka Thomas <rst2003@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #38 received at 100000@bugs.debian.org (full text, mbox):

From: Rebeka Thomas <rst2003@yahoo.com>
To: Debian Bug Tracking System <100000@bugs.debian.org>
Subject: this bug (100000) belongs w/ xterm, shouldn't have been reassigned (also solution)
Date: Sun, 10 Jun 2001 14:55:03 -0500
Followup-For: Bug #100000

in the current default installation, xterm sends meta keysyms as the character
modified with the high bit set, which programs like emacs and bash (the ones
i've personally had problems with, though any program that uses escape+key
sequences and calls them meta will have the same problem) don't detect as meta.

the fix is to make sure xterm is getting this x resource:

*metaSendsEscape: true

(seems to go in /etc/X11/app-defaults/XTerm, but i'm not sure that'll apply
correctly in the potato or testing versions)

and, just wondering, WHY did this get reassigned to xlibs AFTER verifying that
it happened only with xterm and not with rxvt/etc ?

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux cc432337-b 2.2.19 #1 Wed May 30 07:32:59 EST 2001 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages xlibs depends on:
ii  libc6                   2.2.3-5          GNU C Library: Shared libraries an
ii  libfreetype6            2.0.2.20010514-1 FreeType 2 font engine, shared lib
ii  xfree86-common          4.0.3-4          X Window System (XFree86) infrastr
ii  xlibs                   4.0.3-4          X Window System client libraries  



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#100000; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to David B. Harris <dbarclay10@yahoo.ca>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #43 received at 100000@bugs.debian.org (full text, mbox):

From: David B. Harris <dbarclay10@yahoo.ca>
To: c.p.botha@its.tudelft.nl
Cc: 100000@bugs.debian.org
Subject: Re: Bug#100000: jed: In an Xterm, running Screen, jed's Alt+<foobar> keycombos do not work. Feel free to reassign.
Date: Sat, 16 Jun 2001 21:58:09 -0500
[Message part 1 (text/plain, inline)]
Okay, I still don't know why, but I found out a way to make XTerm use
proper Alt+<foobar> things:

1) Add ""eightBitInput: false" to /etc/X11/app-defaults/XTerm,
2) 'xmodmap -e "keysym Alt_L = Meta_L Alt_L"', and 'xmodmap -e "keysym
Alt_R = Meta_R Alt_R"'.

Odd. I imagine it's just a defaults problem.

David Barclay Harris, Clan Barclay
           Don't panic.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#100000; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #48 received at 100000@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Rebeka Thomas <rst2003@yahoo.com>, 100000@bugs.debian.org
Subject: Re: Bug#100000: this bug (100000) belongs w/ xterm, shouldn't have been reassigned (also solution)
Date: Mon, 18 Jun 2001 17:49:06 -0500
[Message part 1 (text/plain, inline)]
On Sun, Jun 10, 2001 at 02:55:03PM -0500, Rebeka Thomas wrote:
> and, just wondering, WHY did this get reassigned to xlibs AFTER verifying that
> it happened only with xterm and not with rxvt/etc ?

Just wondering, WHY are you griping to the package maintainer when HE is
not the person who reassigned it in the first place?

Take issue with the appropriate people, please.

-- 
G. Branden Robinson             |      One man's "magic" is another man's
Debian GNU/Linux                |      engineering.  "Supernatural" is a
branden@debian.org              |      null word.
http://www.debian.org/~branden/ |      -- Robert Heinlein
[Message part 2 (application/pgp-signature, inline)]

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #51 received at 100000-quiet@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Rebeka Thomas <rst2003@yahoo.com>
Cc: 100000-quiet@bugs.debian.org
Subject: Re: Bug#100000: this bug (100000) belongs w/ xterm, shouldn't have been reassigned (also solution)
Date: Mon, 18 Jun 2001 23:35:11 -0500
[Message part 1 (text/plain, inline)]
On Tue, Jun 19, 2001 at 11:16:34PM -0500, Rebeka Thomas wrote:
> Uh... i mailed the bug (100000@bugs.debian.org). i was told in #debian
> on OPN that it would get sent to the appropriate people if i did that.

They informed you incorrectly.  When you mail the bug number the only
person who sees it is me.  And I didn't reassign the bug to xlibs...

-- 
G. Branden Robinson             |
Debian GNU/Linux                |      Music is the brandy of the damned.
branden@debian.org              |      -- George Bernard Shaw
http://www.debian.org/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#100000; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to xsdg <xsdg@softhome.net>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #56 received at 100000@bugs.debian.org (full text, mbox):

From: xsdg <xsdg@softhome.net>
To: 100000@bugs.debian.org
Cc: xsdg@softhome.net
Subject: /usr/lib/libwine_unicode.so symlink missing as well
Date: Fri, 17 Aug 2001 21:55:48 +0000
Package:  general
Severity: normal
Version:  
Synopsis: /usr/lib/libwine_unicode.so symlink missing as well
Class:    sw-bug

Distribution: Debian testing/unstable
System: Linux 2.4.5 i686 unknown


Description:
the symlink from /usr/lib/wine_unicode.so.1.0 to
/usr/lib/wine_unicode.so is missing as well.



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#100000; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #61 received at 100000@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: xsdg <xsdg@softhome.net>, 100000@bugs.debian.org
Subject: Re: oops... addressing error...
Date: Fri, 17 Aug 2001 19:00:09 -0500
[Message part 1 (text/plain, inline)]
On Fri, Aug 17, 2001 at 11:28:03PM +0000, xsdg wrote:
> Sorry... my bug report addition was supposed to be for a wine bug...  If you
> don't mind, it would be appreciated if you would transfer this bug to wine.  If
> you do mind, you can just close it and I'll resend the bug to the correct
> recipient.

What you did was mail information to an existing Debian bug.  I can't do
either of these things.

I suggest you just file your report anew with the wine people.

-- 
G. Branden Robinson                |       The key to being a Southern
Debian GNU/Linux                   |       Baptist: It ain't a sin if you
branden@debian.org                 |       don't get caught.
http://people.debian.org/~branden/ |       -- Anthony Davidson
[Message part 2 (application/pgp-signature, inline)]

Bug closed, send any further explanations to Julian Gilbey <J.D.Gilbey@qmw.ac.uk> Request was from Julian Gilbey <jdg@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to Julian Gilbey <jdg@debian.org>. Request was from Julian Gilbey <jdg@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Branden Robinson <branden@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julian Gilbey <jdg@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #82 received at 77039-done@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 77039-done@bugs.debian.org
Subject: Alt modifier and Meta keysym now the same on pc101/pc102/pc104/pc105 XKB models
Date: Fri, 18 Oct 2002 14:30:55 -0500
[Message part 1 (text/plain, inline)]
This was changed upstream in XFree86 4.2.0.

See /etc/X11/xkb/symbols/us:

// definition for the PC-AT type 101 key keyboard
default
xkb_symbols "pc101" {
    include "us(generic101)"
    key <LALT> {        [       Alt_L,  Meta_L          ]       };
    key <RALT> {        [       Alt_R,  Meta_R          ]       };

    // begin modifier mappings
    modifier_map Mod1   { Alt_L, Alt_R, Meta_L, Meta_R };
};

// definition for the extra key on 102-key keyboards
xkb_symbols "pc102" {
    include "us(pc101)"
    key <LSGT> {        [      less,    greater         ]       };
};

// definition for the extra keys on 104-key "Windows95" keyboards
xkb_symbols "pc104" {
    include "us(generic101)"
    key <LALT> {        [       Alt_L,  Meta_L          ]       };
    key <RALT> {        [       Alt_R,  Meta_R          ]       };
    key <LWIN> {        [       Super_L                 ]       };
    key <RWIN> {        [       Super_R                 ]       };
    key <MENU> {        [       Menu                    ]       };

    // modifier mappings
    modifier_map Mod1   { Alt_L, Alt_R, Meta_L, Meta_R };
    modifier_map Mod4   { Super_L, Super_R };
};

// defintion which includes both the Windows95 keyboards _and_
// the extra key on most European keyboards.
xkb_symbols "pc105" {
    include "us(pc104)"
    key <LSGT> {        [      less,    greater         ]       };
};

If you'd like the Windows keys to be Meta keys, you may be interested in the
new /etc/X11/xkb/symbols/altwin file.

For instance,

partial modifier_keys
xkb_symbols "meta_win" {
    key <LALT> {        [       Alt_L,  Alt_L           ]       };
    key <RALT> {        [       Alt_R,  Alt_R           ]       };
    key <LWIN> {        [       Meta_L                  ]       };
    key <RWIN> {        [       Meta_R                  ]       };
    modifier_map Mod1   { Alt_L, Alt_R };
    modifier_map Mod4   { Meta_L, Meta_R };
};

You could use the above with the following XKB settings, for instance:

Section "InputDevice"
        Identifier      "Generic Keyboard"
        Driver          "keyboard"
        Option          "CoreKeyboard"
        Option          "XkbRules"      "xfree86"
        Option          "XkbModel"      "pc104"
        Option          "XkbLayout"     "us"
        Option          "XkbOptions"    "altwin:meta_win"
EndSection

-- 
G. Branden Robinson                |     It just seems to me that you are
Debian GNU/Linux                   |     willfully entering an arse-kicking
branden@debian.org                 |     contest with a monstrous entity
http://people.debian.org/~branden/ |     that has sixteen legs and no arse.
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:25:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.